Home
last modified time | relevance | path

Searched refs:curl (Results 1 – 25 of 46) sorted by relevance

12

/freebsd/crypto/openssl/apps/
H A Dtsget.in44 my $curl = WWW::Curl::Easy::new();
47 $curl->setopt(CURLOPT_VERBOSE, 1) if $options{d};
48 $curl->setopt(CURLOPT_FAILONERROR, 1);
49 $curl->setopt(CURLOPT_USERAGENT,
53 $curl->setopt(CURLOPT_UPLOAD, 1);
54 $curl->setopt(CURLOPT_CUSTOMREQUEST, "POST");
55 $curl->setopt(CURLOPT_HTTPHEADER,
58 $curl->setopt(CURLOPT_READFUNCTION, \&read_body);
59 $curl->setopt(CURLOPT_HEADERFUNCTION, sub { return length($_[0]); });
62 $curl->setopt(CURLOPT_WRITEFUNCTION, \&write_body);
[all …]
/freebsd/contrib/wpa/src/utils/
H A Dhttp_curl.c37 CURL *curl; member
57 if (ctx->curl) { in clear_curl()
58 curl_easy_cleanup(ctx->curl); in clear_curl()
59 ctx->curl = NULL; in clear_curl()
99 static int curl_cb_debug(CURL *curl, curl_infotype info, char *buf, size_t len, in curl_cb_debug() argument
497 static CURLcode curl_cb_ssl(CURL *curl, void *sslctx, void *parm) in curl_cb_ssl() argument
536 CURL *curl; in setup_curl_post() local
546 curl = curl_easy_init(); in setup_curl_post()
547 if (curl == NULL) in setup_curl_post()
550 curl_easy_setopt(curl, CURLOPT_URL, address); in setup_curl_post()
[all …]
/freebsd/release/scripts/
H A Datlas-upload.sh78 …BOXRESULT=$(/usr/local/bin/curl -s "${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX}?access_token…
86 …/usr/local/bin/curl -s ${ATLAS_UPLOAD_URL}/api/v1/boxes -X POST -d "box[name]=${BOX}" -d "access_t…
87 …/usr/local/bin/curl -s ${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX} -X PUT -d "box[is_private…
88 …/usr/local/bin/curl -s ${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX} -X PUT -d "box[descriptio…
94 …VERSIONRESULT=$(/usr/local/bin/curl -s "${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX}/version/…
102 …/usr/local/bin/curl -s ${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX}/versions -X POST -d "vers…
103 …/usr/local/bin/curl -s ${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX}/version/${VERSION} -X PUT…
104 …VERSIONRESULT=$(/usr/local/bin/curl -s "${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX}/version/…
115 …PROVIDERRESULT=$(/usr/local/bin/curl -s "${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX}/version…
123 …/usr/local/bin/curl -s ${ATLAS_UPLOAD_URL}/api/v1/box/${USERNAME}/${BOX}/version/${VERSION}/provid…
[all …]
/freebsd/sys/contrib/openzfs/config/
H A Duser-libfetch.m412 dnl # libcurl development packages include curl-config(1) – we want:
43 if curl-config --protocols 2>/dev/null | grep -q HTTPS &&
44 test "$(printf "%u" "0x$(curl-config --vernum)")" -ge "$(printf "%u" "0x071000")"; then
47 if test "$(curl-config --built-shared)" = "yes"; then
53 LIBFETCH_LIBS="$(curl-config --libs)"
57 CCFLAGS="$CCFLAGS $(curl-config --cflags)"
/freebsd/crypto/openssl/test/quic-openssl-docker/
H A DDockerfile3 # Make sure curl picks up the new openssl
37 # Build curl
38 RUN git clone --depth 1 https://github.com/curl/curl.git && \
39 cd curl && \
43 rm -rf /curl
H A Drun_endpoint.sh42 SSL_CERT_FILE=/certs/ca.pem curl --config $CURLRC || exit 1
/freebsd/release/
H A DMakefile.vagrant52 .if !exists(/usr/local/bin/curl)
53 . if !exists(${PORTSDIR}/ftp/curl/Makefile)
57 env ASSUME_ALWAYS_YES=yes pkg install -y curl
59 env UNAME_r=${UNAME_r} make -C ${PORTSDIR}/ftp/curl \
/freebsd/contrib/unbound/contrib/android/
H A Dinstall_ndk.sh19 if ! curl -L -k -s -o "$HOME/android-sdk.zip" https://dl.google.com/android/repository/commandlinet…
26 if ! curl -L -k -s -o "$HOME/android-ndk.zip" https://dl.google.com/android/repository/android-ndk-…
H A Dinstall_tools.sh6 sudo apt-get -qq install --no-install-recommends curl tar zip unzip perl openjdk-8-jdk autoconf aut…
H A Dinstall_openssl.sh4 if ! curl -L -k -s -o openssl-1.1.1d.tar.gz https://www.openssl.org/source/openssl-1.1.1d.tar.gz;
H A Dinstall_expat.sh7 if ! curl -L -k -s -o $LIBEXPAT_FNAME.tar.gz https://github.com/libexpat/libexpat/releases/download/$LIBEXPAT_VERSION_DIR/$LIBEXPAT_FNAME.tar.gz;
/freebsd/sys/contrib/openzfs/lib/libzfs/
H A Dlibzfs_crypto.c577 CURL *curl = curl_easy_init(); in get_key_material_https() local
578 if (curl == NULL) { in get_key_material_https()
614 (void) curl_easy_setopt(curl, CURLOPT_URL, uri); in get_key_material_https()
615 (void) curl_easy_setopt(curl, CURLOPT_FOLLOWLOCATION, 1L); in get_key_material_https()
616 (void) curl_easy_setopt(curl, CURLOPT_TIMEOUT_MS, 30000L); in get_key_material_https()
617 (void) curl_easy_setopt(curl, CURLOPT_WRITEDATA, stream); in get_key_material_https()
618 (void) curl_easy_setopt(curl, CURLOPT_ERRORBUFFER, errbuf); in get_key_material_https()
620 (void) curl_easy_setopt(curl, CURLOPT_CAINFO, cainfo); in get_key_material_https()
622 (void) curl_easy_setopt(curl, CURLOPT_CAPATH, capath); in get_key_material_https()
624 (void) curl_easy_setopt(curl, CURLOPT_SSLCERT, clcert); in get_key_material_https()
[all …]
/freebsd/sys/contrib/openzfs/.github/workflows/scripts/
H A Dqemu-test-repo-vm.sh92 name=$(curl -Ls $url | grep 'dnf install' | grep -Eo 'zfs-release-[0-9]+-[0-9]+')
103 name=$(curl -Ls $url | grep 'dnf install' | grep -Eo 'zfs-release-[0-9]+-[0-9]+')
H A Dqemu-3-deps-vm.sh20 cpio cryptsetup curl curl-dev dhcpcd eudev eudev-dev eudev-libs findutils \
85 acl alien attr autoconf bc cpio cryptsetup curl dbench dh-python dkms \
131 acl attr bc bzip2 cryptsetup curl dbench dkms elfutils-libelf-devel fio \
H A Dqemu-6-lustre-tests-vm.sh38 curl $p | base64 -d > patch
/freebsd/contrib/unbound/contrib/ios/
H A Dinstall_tools.sh10 HOMEBREW_NO_AUTO_UPDATE=1 brew install curl perl 1>/dev/null
H A Dinstall_expat.sh7 if ! curl -L -k -s -o $LIBEXPAT_FNAME.tar.gz https://github.com/libexpat/libexpat/releases/download/$LIBEXPAT_VERSION_DIR/$LIBEXPAT_FNAME.tar.gz;
H A Dinstall_openssl.sh5 if ! curl -L -k -s -o openssl-$OPENSSL_VERSION.tar.gz https://www.openssl.org/source/openssl-$OPENS…
/freebsd/contrib/wpa/hs20/client/
H A DAndroid.mk8 INCLUDES += external/curl/include
/freebsd/contrib/libfido2/.actions/
H A Dbuild-bsd53 curl \
H A Dfuzz-linux88 curl -s https://storage.googleapis.com/yubico-libfido2/corpus.tgz |
/freebsd/sys/contrib/openzfs/scripts/
H A Dzimport.sh325 curl -sL "$IMAGES_TAR" | \
411 curl -sL "$ZFS_URL" | tar -xz -C "$ZFS_DIR" \
/freebsd/contrib/libucl/src/
H A Ducl_util.c833 CURL *curl;
837 curl = curl_easy_init();
838 if (curl == NULL) {
842 if ((r = curl_easy_setopt(curl, CURLOPT_URL, url)) != CURLE_OK) {
845 curl_easy_cleanup(curl);
848 curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, ucl_curl_write_callback);
851 curl_easy_setopt(curl, CURLOPT_WRITEDATA, &cbdata);
853 if ((r = curl_easy_perform(curl)) != CURLE_OK) {
858 curl_easy_cleanup(curl);
867 curl_easy_cleanup(curl);
/freebsd/contrib/sendmail/src/
H A Dmilter.c307 ssize_t len, curl; local
310 curl = 0;
343 len = read(m->mf_sock, buf + curl, sz - curl);
363 curl += len;
364 if (len == 0 || curl >= sz)
369 if (curl != sz)
373 m->mf_name, (long) curl, (long) sz);
377 m->mf_name, (long) curl, (long) sz);
/freebsd/contrib/file/magic/Magdir/
H A Duf221 # families=`curl \

12